<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">#{strings.common_title} - #{strings.initial_setup}</ui:define>

	<ui:define name="account_content" />

	<ui:define name="content">
		<h3>
			<h:outputLabel
				value="#{strings.initial_setup} - #{strings.first_admin_creation}:" />
		</h3>
		<br />

		<br />
		<h:form>
			<h:outputLabel value="#{strings.login}: " for="login_field" />
			<h:inputText value="#{initialSetupController.login}" id="login_field" />
			<br />

			<h:outputLabel value="#{strings.password}: " for="password_field" />
			<h:inputSecret value="#{initialSetupController.password}"
				id="password_field" />
			<br />

			<h:outputLabel value="#{strings.password_confirmation}: "
				for="password_confirmation_field" />
			<h:inputSecret value="#{initialSetupController.passwordConfirmation}"
				id="password_confirmation_field" />
			<br />

			<h:commandButton value="#{strings.save}"
				action="#{initialSetupController.save}" />
		</h:form>
	</ui:define>
</ui:composition>